Loading...
Searching...
No Matches
freecontact::parset_t Struct Reference

Parameter set structure for predictor::run(). More...

`#include <freecontact.h>`

## Public Member Functions

| parset_t (double __clustpc=0, double __density=0, double __gapth=0, uint16_t __mincontsep=0, double __pseudocnt=0, double __pscnt_weight=0, bool __estimate_ivcov=0, double __shrink_lambda=0, bool __cov20=0, bool __apply_gapth=0, double __rho=0)

## Public Attributes

double | clustpc
double | density
double | gapth
uint16_t | mincontsep
double | pseudocnt
double | pscnt_weight
bool | estimate_ivcov
double | shrink_lambda
bool | cov20
bool | apply_gapth
double | rho

## Detailed Description

Parameter set structure for predictor::run().

Definition at line 136 of file freecontact.h.

## Constructor & Destructor Documentation

## parset_t()

freecontact::parset_t::parset_t | ( | double | __clustpc = 0,
|  | double | __density = 0,
|  | double | __gapth = 0,
|  | uint16_t | __mincontsep = 0,
|  | double | __pseudocnt = 0,
|  | double | __pscnt_weight = 0,
|  | bool | __estimate_ivcov = 0,
|  | double | __shrink_lambda = 0,
|  | bool | __cov20 = 0,
|  | bool | __apply_gapth = 0,
|  | double | __rho = 0 )

inline

Definition at line 141 of file freecontact.h.

## Member Data Documentation

## apply_gapth

bool freecontact::parset_t::apply_gapth

Definition at line 139 of file freecontact.h.

## clustpc

double freecontact::parset_t::clustpc

Definition at line 137 of file freecontact.h.

## cov20

bool freecontact::parset_t::cov20

Definition at line 139 of file freecontact.h.

## density

double freecontact::parset_t::density

Definition at line 137 of file freecontact.h.

## estimate_ivcov

bool freecontact::parset_t::estimate_ivcov

Definition at line 138 of file freecontact.h.

## gapth

double freecontact::parset_t::gapth

Definition at line 137 of file freecontact.h.

## mincontsep

uint16_t freecontact::parset_t::mincontsep

Definition at line 137 of file freecontact.h.

## pscnt_weight

double freecontact::parset_t::pscnt_weight

Definition at line 138 of file freecontact.h.

## pseudocnt

double freecontact::parset_t::pseudocnt

Definition at line 138 of file freecontact.h.

## rho

double freecontact::parset_t::rho

Definition at line 139 of file freecontact.h.

## shrink_lambda

double freecontact::parset_t::shrink_lambda

Definition at line 138 of file freecontact.h.

The documentation for this struct was generated from the following file:

- freecontact.h